For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bank Details

Get bank details

This endpoint is intended for the purpose of fetching bank details for fiat transfer during onramp transaction.

Note: After creating the order, you will get null then you will have to poll this API every 5 seconds until you get the bank details.

  • For an INR on-ramp transaction, once the user has completed the payment, update the UTR by assigning it as the referenceId using Update Reference Id

Viet-QR Payment Instructions

  • For Viet-QR transactions, the response will provide a link that the user should be redirected to.

  • Ensure the QR image is shown to the user so they can scan it and complete the payment.

  • To start the Viet-QR payment, the client must display the QR image from the provided URL.

  • Sample QR Link: https://img.vietqr.io/image/${code}-${accountNumber}-compact2.jpg?amount=${fiatAmount}&addInfo=${remark}&accountName=${accountName}

Get Bank Details for onramp transaction.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/bank/bankDetails

Request Body

Name
Type
Description

customerId*

String

Unique User Id received from /kyc/url

fromCurrency*

String

Base currency of the trading pair E.g. of fromCurrency:

INR | TRY | AED | MXN | IDR | EUR

transactionId*

String

unique transactionId of the onramp transaction if required in this case

paymentMethodType

String

payment Method Type for Onramp Transaction.

Mandatory for the EURO paymentLink flow

E.g. of payment method Type:

For INR -> UPI, IMPS

For TRY -> TRY_BANK_TRANSFER

For AED -> AED-BANK-TRANSFER

successRedirectUrl

String

Mandatory for the EURO paymentLink flow

failureRedirectUrl

String

Mandatory for the EURO paymentLink flow

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • data -> this will contains the bank details according to fromCurrency.

Last updated